function [mujedna,munula,lambda,sigma]=NDAest(X,Y);

% funkce pro vypocet maximalne verohodnych odhadu v modelu
% normalni diskriminacni analyzy (NDA)
% X... matice vysvetlujicich dat
% Y... vektor indikujici zarazeni jednotlivych objektu

n=size(X,1);  % pocet radku X = pocet objektu
p=size(X,2);  % pocet sloupcu X = pocet vysvetlujicich velicin
  
soucetY=sum(Y);                    
lambda=(1/n)*soucetY;

% vypocet souctu y(i)*x(i)'
soucetXY=zeros(p,1);
for i=1:n
   soucetXY=soucetXY+Y(i)*(X(i,:))';
end;   

soucetX=(sum(X))'; % soucet radku matice X a transponovano

% vypocet mujedna a munula
mujedna=(1/soucetY)*soucetXY;
munula=(1/(n-soucetY))*(soucetX-soucetXY);

% vypocet sigma
sigmasoucet=zeros(p,p);
for i=1:n
   sigmasoucet=sigmasoucet+(Y(i)*(X(i,:)'-mujedna)*(X(i,:)'-mujedna)')+((1-Y(i))*(X(i,:)'-munula)*(X(i,:)'-munula)');
end;
sigma=(1/n)*sigmasoucet;
                    


